import SR6BaseItemData from '../base-item-data.mjs';

export default class SR6SoftwareItemData extends SR6BaseItemData {
    static defineSchema() {
        const fields = foundry.data.fields;
        return {
            ...super.defineSchema(),
            type:     new fields.StringField({ initial: "SOFTWARE" }),
            subtype:  new fields.StringField({ initial: "AUTOSOFT" }),
            category: new fields.StringField({ initial: "" }),
            rating:   new fields.NumberField({ initial: 1 })
        };
    }
}